# Activity/Exercise Tracker

<table><thead><tr><th>Field Name</th><th width="249">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>calories</code></td><td>Int</td><td>Amount of calories burnt. (Wearables only)</td></tr><tr><td><code>created_at</code></td><td>DateTime</td><td>Timestamp of when the event was registered. (ISO 8601 with timezone)</td></tr><tr><td><code>datetime</code></td><td>DateTime</td><td>Timestamp of when the event was last updated. (ISO 8601 with timezone)</td></tr><tr><td><code>event</code></td><td>Event</td><td><p>enum Event {</p><p>exercise_tracker.created<br>exercise_tracker.updated<br>exercise_tracker.deleted</p><p>}</p></td></tr><tr><td><code>id</code></td><td>Id</td><td>Event id.</td></tr><tr><td><code>intensity</code></td><td>ExerciseIntensity</td><td>enum ExerciseIntensity {<br>VIGOROUS<br>MODERATE<br>LOW<br>}</td></tr><tr><td><code>profile_id</code></td><td>Id</td><td>User profile ID.</td></tr><tr><td><code>source</code></td><td>SourceType</td><td>enum SourceType {<br>SUGGESTIC<br>FITBIT<br>GARMIN<br>POLAR<br>MISFIT<br>WITHINGS<br>STRAVA<br>GOOGLEFIT_REST<br>GOOGLEFIT_NATIVE<br>SUUNTO<br>OURA<br>IHEALTH<br>APPLE<br>SAMSUNG<br>OMRONCONNECT<br>OMRONWELLNESS<br>HUAWEIHEALTH<br>HEALTHCONNECT<br>}</td></tr><tr><td><code>type</code></td><td>ExerciseType</td><td>enum ExerciseType { <br>ACTIVE <br>CARDIO <br>STRENGTH WORKOUT_ROUTINE RECOVERY <br>OTHER <br>WALK <br>CYCLE <br>JOG_OR_RUN <br>SWIM <br>BREATHWORK <br>STRETCH <br>YOGA <br>PILATES <br>HIKE <br>DANCE HOUSEHOLD_CHORES YARD_WORK PHYSICAL_THERAPY_EXERCISES<br>IN_BED_EXERCIES }</td></tr></tbody></table>

### Example

```graphql
{
  "body": {
    "calories": null,
    "created_at": "2025-11-28T22:30:57.061556",
    "datetime": "2025-11-29T01:30:00+00:00",
    "duration_minutes": 60,
    "event": "exercise_tracker.created",
    "id": 7386676,
    "intensity": "moderate",
    "profile_id": "a91f7a7d-a24b-40ab-a045-a63ef0632a0d",
    "source": "Suggestic",
    "type": "strength"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/webhooks/activity-exercise-tracker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
